Loading...
Searching...
No Matches
juce::ActionListener Class Referenceabstract

`#include <juce_ActionListener.h>`

## Public Member Functions

virtual | ~ActionListener ()=default
virtual void | actionListenerCallback (const String &message)=0

## Detailed Description

Interface class for delivery of events that are sent by an ActionBroadcaster.

See also
  ActionBroadcaster, ChangeListener

Definition at line 34 of file juce_ActionListener.h.

## Constructor & Destructor Documentation

## ~ActionListener()

virtual juce::ActionListener::~ActionListener | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## actionListenerCallback()

virtual void juce::ActionListener::actionListenerCallback | ( | const String & | message | ) |

pure virtual

Overridden by your subclass to receive the callback.

Parameters

  message | the string that was specified when the event was triggered by a call to ActionBroadcaster::sendActionMessage()

The documentation for this class was generated from the following file:

- juce_ActionListener.h